## org.apache.maven.shared.model.fileset.mappers
Class IdentityMapper

    java.lang.Object
      org.apache.maven.shared.model.fileset.mappers.IdentityMapper

All Implemented Interfaces:
  FileNameMapper

    public class IdentityMapper

extends java.lang.Object
implements FileNameMapper

Implementation of FileNameMapper that always returns the source file name.

This is the default FileNameMapper for the copy and move tasks.

Version:
  $Id: IdentityMapper.java 661727 2008-05-30 14:21:49Z bentmann $

Constructor Summary
`IdentityMapper()`

Method Summary
`java.lang.String` `mapFileName(java.lang.String sourceFileName)` Returns the target filename for the given source file.
`void` `setFrom(java.lang.String from)` Sets the from part of the transformation rule.
`void` `setTo(java.lang.String to)` Sets the to part of the transformation rule.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityMapper

    public IdentityMapper()

Method Detail

### setFrom

    public void setFrom(java.lang.String from)

  Sets the from part of the transformation rule.

  Specified by:
    `setFrom` in interface `FileNameMapper`

### setTo

    public void setTo(java.lang.String to)

  Sets the to part of the transformation rule.

  Specified by:
    `setTo` in interface `FileNameMapper`

### mapFileName

    public java.lang.String mapFileName(java.lang.String sourceFileName)

  Returns the target filename for the given source file.

  if the given rule doesn't apply to the source file, implementation must return null. SourceFileScanner will then omit the source file in question.

  Specified by:
    `mapFileName` in interface `FileNameMapper`
  Parameters:
    `sourceFileName` - the name of the source file relative to some given basedirectory.
  Returns:
    the target filename for the given source file.

Copyright © 2011. All Rights Reserved.